%global wxversion %(wx-config --release)
%global wxincdir %{_includedir}/wx-%{wxversion}

Name:           wxsqlite3
Version:        3.0.6.1
Release:        1%{?dist}
Summary:        C++ wrapper around the SQLite 3.x database

Group:          System Environment/Libraries
License:        wxWidgets
URL:            http://wxcode.sourceforge.net/components/wxsqlite3/
Source0:        http://downloads.sourceforge.net/wxcode/%{name}-%{version}.tar.gz
# https://sourceforge.net/p/wxcode/bugs/_discuss/thread/d8bda5df/e523/attachment/wxsqlite3-3.0.3.pc.in
Source1:        %{name}-3.0.5.pc.in

# don't %%build the included wxSQLite+ application

BuildRequires:  wxGTK-devel
BuildRequires:  sqlite-devel


%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and is
specifically designed for use in programs based on the wxWidgets library.
wxSQLite3 does not try to hide the underlying database, in contrary almost all
special features of the current SQLite3 version 3.6.22 are supported, like for
example the creation of user defined scalar or aggregate functions. Since
SQLite stores strings in UTF-8 encoding, the wxSQLite3 methods provide
automatic conversion between wxStrings and UTF-8 strings. This works best for
the Unicode builds of wxWidgets. In ANSI builds the current locale conversion
object (wxConvCurrent) is used for conversion to/from UTF-8. Special care has
to be taken if external administration tools are used to modify the database
contents, since not all of these tools operate in Unicode resp. UTF-8 mode.
wxSQLite3 includes an optional extension for SQLite supporting key based
database file encryption using 128 bit AES encryption. Starting with version
1.9.6 of wxSQLite3 the encryption extension is compatible with the SQLite
amalgamation source. Experimental support for 256 bit AES encryption has been
added in version 1.9.8.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       wxGTK-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Group:          Documentation
BuildArch:      noarch

%description    doc
The %{name}-doc package contains html documentation 
that use %{name}.


%prep
%setup -q -n %{name}-3.0.6

# delete bundled sqlite3 files
find -name sqlite3 -type d | xargs rm -rfv

# copy correct configure file and set permission
chmod a+x configure29 configure
cp configure29 configure
cp %{SOURCE1} %{name}.pc.in


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# move headers from /usr/include/wx to /usr/include/wx-?.?/wx
mkdir ${RPM_BUILD_ROOT}%{wxincdir}
mv ${RPM_BUILD_ROOT}%{_includedir}/wx ${RPM_BUILD_ROOT}%{wxincdir}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# install own Debian-compatible pkgconfig file
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
sed -e "s!@VERSION@!3.0.6!" \
	-e "s!@LIBDIR@!%{_lib}!" \
	-e "s!@WXVERSION@!%{wxversion}!g" \
        %{SOURCE1} > $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}-%{wxversion}.pc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc LICENCE.txt Readme.txt
%{_libdir}/*.so.*

%files devel
%{wxincdir}/wx/*
%{_libdir}/pkgconfig/%{name}-%{wxversion}.pc
%{_libdir}/*.so

%files doc
%doc docs/html


%changelog
* Mon Dec 9 2013 Martin Gansser <martinkg@fedoraproject.org> 3.0.6.1-1
- update to 3.0.6.1

* Mon Sep 9 2013 Martin Gansser <martinkg@fedoraproject.org> 3.0.5-1
- update to 3.0.5

* Sun May 5 2013 Martin Gansser <martinkg@fedoraproject.org> 3.0.3-1
- update to 3.0.3
- rebuild for new release
- update wxsqlite3-3.0.1.pc.in to wxsqlite3-3.0.3.pc.in due lib name change

* Sat Feb 16 2013 Martin Gansser <martinkg@fedoraproject.org> 3.0.2-1
- update to 3.0.2
- rebuild for new release

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 26 2012 Martin Gansser <martinkg@fedoraproject.org> 3.0.1-4
- added own Debian-compatible pkgconfig file
- specfile cleanup

* Mon Dec 24 2012 Martin Gansser <martinkg@fedoraproject.org> 3.0.1-3
- added %%wx-config to determine wx version
- moved wx header files to corresponding wx-version
- removed requirement in doc section

* Sun Dec 23 2012 Martin Gansser <martinkg@fedoraproject.org> 3.0.1-2
- added wxsqlite3.pc patch for pkgconfig

* Sat Nov 24 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.1-1
- update to 3.0.1
- specfile cleanup

* Sat Oct 20 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-7
- added wxsqlite3.pc file

* Tue Oct 16 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-6
- added chmod a-x for all files 
- added chmod a+x for configure29 

* Sun Oct 14 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-5
- corrected wx include path in file section
- dropped unusual percentage symbol from doc subpackage
- deleted unecessary Requires from doc subpackage

* Sun Oct 14 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-4
- removed %%_isa requirement from doc subpackage
- added BuildArch noarch to doc subpackage
- dropped chmod for configure

* Sun Oct 14 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-3
- spec file cleanup
- dropped chmod for configure
- deleted bundled sqlite3 files
- removed %%defattr in file section becaus of no EPEL5 packaging
- corrected ownership of %%{_includedir}/wx in file section
- make install preserve timestamps
- added isa to requires tag
- improve executable flags for files in the doc folder
- separated  html files into doc subpackage

* Sun Sep 23 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-2
- removed unrecognized configure options

* Wed Sep 19 2012 Martin Gansser <linux4martin[at]gmx.de> 3.0.0.1-1
- rebuild for new release

* Tue Aug 30 2011 Dan Horák <dan[at]danny.cz> 2.1.3-1
- updated to 2.1.3

* Sat Apr 23 2011 Dan Horák <dan[at]danny.cz> 2.1.1-1
- updated to 2.1.1

* Thu Apr 14 2011 Dan Horák <dan[at]danny.cz> 2.1.0-1
- updated to 2.1.0

* Sun Dec 12 2010 Dan Horák <dan[at]danny.cz> 2.0.2-1
- updated to 2.0.2

* Mon Nov  1 2010 Dan Horák <dan[at]danny.cz> 2.0.1-1
- updated to 2.0.1

* Tue Aug 10 2010 Dan Horák <dan[at]danny.cz> 2.0.0.1-1
- updated to 2.0.0.1

* Sat Jul 24 2010 Dan Horák <dan[at]danny.cz> 2.0.0-1
- updated to 2.0.0

* Mon Mar 22 2010 Dan Horák <dan[at]danny.cz> 1.9.9-1
- updated to 1.9.9

* Sun Feb 14 2010 Dan Horák <dan[at]danny.cz> 1.9.8-1
- initial Fedora version
